Angular UI Components Documentation

Angular CLI with jQWidgets

This tutorial will show you how to use Angular CLI along with the Angular Components by jQWidgets.
Please, follow the instructions below:


First we need to install the Angular CLI globally, so we can have it's commands available:

npm install -g @angular/cli

NOTE: If you run the command from command prompt, make sure you run it as administrator.

Create an Angular CLI application:

ng new jqwidgets-angular-cli-app


NOTE: Node.js version

After running "ng new jqwidgets-angular-cli-app". If you have an older version of Node.js installed, you may get the following message: You are running version v6.9.2 of Node.js, which is not supported by Angular CLI v6. The official Node.js version that is supported is 8.9 and greater.

Please visit https://nodejs.org/en/ to find instructions on how to update Node.js.

- To resolve it, download the latest version of Node.js from https://nodejs.org/en/. Install it and run the command again.

Navigate to the application:

cd jqwidgets-angular-cli-app

Install the jQWidgets dependency:

npm install jqwidgets-scripts --save

By now we have a fully working Angular CLI app. But we need to modify it abit so we can use the jQWidgets Framework. Open the angular.json file and inside the styles property add this line:

"node_modules/jqwidgets-scripts/jqwidgets/styles/jqx.base.css"

It should look like this:

Now open the tsconfig.json file and add this at the bottom:

"include": [
  "src/**/*"
],
"files": [
  "node_modules/jqwidgets-scripts/jqwidgets-ts/angular_jqxbargauge.ts"
]

It should look like this:


{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "target": "es5",
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "es2017",
      "dom"
    ]
  },
  	"include": [
	  "src/**/*"
	],
	"files": [
	  "node_modules/jqwidgets-scripts/jqwidgets-ts/angular_jqxbargauge.ts"
	]
}

In the files section, we have the jqxBarGauge typescript file included. This is for the current example. We should add the Typescript files for each widget we are using.


Now when the configuration is done, time to write the application logic itself.
Navigate to src/app and edit the files:

app.module.ts

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { jqxBarGaugeComponent } from 'jqwidgets-scripts/jqwidgets-ts/angular_jqxbargauge';
@NgModule({
declarations: [
AppComponent, jqxBarGaugeComponent
],
imports: [
BrowserModule
],
providers: [],
bootstrap: [AppComponent]
})
export class AppModule { }

app.component.ts

import { Component } from '@angular/core';
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent {
values: number[] = [102, 115, 130, 137];
}

app.component.html

<jqxBarGauge 
[width]="600" [height]="600" [max]="150"
[colorScheme]="'scheme02'" [values]="values">
</jqxBarGauge>

Time has come to run the application. In the command line type:

ng serve
NOTE: Sometimes the CLI can output this error:
That can be resolved in two ways:

Add "src/app/app.module.ts", in the ‘files’ array in the tsconfig.json file":

"files": [
    "src/app/app.module.ts",
    "node_modules/jqwidgets-scripts/jqwidgets-ts/angular_jqxbargauge.ts"
]

The second way is: Go to src/app/app.module.ts, remove a random line, save the file, add back the line and run ng serve again.


Navigate to localhost:4200 and see the result:


A video tutorial is also available on YouTube: Tutorial: QuickStart Angular project with jQWidgets.

Vue UI Components Documentation

Vue CLI with jQWidgets

This tutorial will show you how to use Vue CLI along with the Vue Components by jQWidgets.
Please, follow the instructions below:


I. Install the Vue CLI globally, so we can have it's commands available:

npm install -g @vue/cli

II. Create an Vue CLI application:

vue create jqwidgets-vue-cli-app   //Choose the default preset

III. Navigate to the application:

cd jqwidgets-vue-cli-app

IV. Install the jQWidgets dependency:

npm install jqwidgets-scripts --save--dev

V. Copy the styles folder from node_modules/jqwidgets-scripts/jqwidgets to the public folder.

VI. Refer the jqx.base.css file and the files of the other themes that you use in index.html:

<link rel="stylesheet" type="text/css" href="./styles/jqx.base.css" />

VII. Open the App.vue file located in src folder and replace the content with the following:

<template>
<JqxBarGauge ref="barGaugeReference"
:width="600" :height="600"
:values="values" :formatFunction="formatFunction"
/>
</template>
<script>
import JqxBarGauge from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbargauge.vue';
export default {
components: {
JqxBarGauge
},
data: function () {
return {
values: [10, 20, 30, 40, 50]
}
},
methods: {
formatFunction: function (value, index, color) {
return color;
}
}
}
</script>

VIII. Run the Vue CLI development server:

npm run serve

IX. Navigate to localhost:8080 and see the result: